Subject: Re: bug#16938: 24.3.50; Support the Dash shell shebang and .[bd]sh file types

From: Glenn Morris <[email-masked]>
Date: Tue, 04 Mar 2014 21:47:35 -0500

John Yates wrote:

> For interpreter-mode-alist I suggest adding the follow entry:
>
>      ("dash" . sh-mode)

Sounds good.

> For auto-mode-alist I suggest changing the follow entry:
>
>      ("\\.[ck]?sh\\'\\|\\.shar\\'\\|/\\.z?profile\\'" . sh-mode)
>
> to
>
>      ("\\.[bcdk]?sh\\'\\|\\.shar\\'\\|/\\.z?profile\\'" . sh-mode)

I've never come across .bsh and .dsh used as extensions in this way.
I find zero examples on two random RHEL6, Debian testing machines.
The only .bsh files are LibreOffice components that are not bash scripts.
So this seems like something for your personal .emacs.